Flecs: ecs_http_server_desc_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Attributes | List of all members
ecs_http_server_desc_t Struct Reference
C API » Addons » Http

Used with ecs_http_server_init(). More...

`#include <http.h>`

## Public Attributes
ecs_http_reply_action_t | callback
| Function called for each request.
void * | ctx
| Passed to callback (optional)
uint16_t | port
| HTTP port.
const char * | ipaddr
| Interface to listen on (optional)
int32_t | send_queue_wait_ms
| Send queue wait time when empty.
double | cache_timeout
| Cache invalidation timeout (0 disables caching)
double | cache_purge_timeout
| Cache purge timeout (for purging cache entries)

## Detailed Description

Used with ecs_http_server_init().

Definition at line 123 of file http.h.

## Member Data Documentation

## ◆ cache_purge_timeout

double ecs_http_server_desc_t::cache_purge_timeout

Cache purge timeout (for purging cache entries)

Definition at line 130 of file http.h.

## ◆ cache_timeout

double ecs_http_server_desc_t::cache_timeout

Cache invalidation timeout (0 disables caching)

Definition at line 129 of file http.h.

## ◆ callback

ecs_http_reply_action_t ecs_http_server_desc_t::callback

Function called for each request.

Definition at line 124 of file http.h.

## ◆ ctx

void* ecs_http_server_desc_t::ctx

Passed to callback (optional)

Definition at line 125 of file http.h.

## ◆ ipaddr

const char* ecs_http_server_desc_t::ipaddr

Interface to listen on (optional)

Definition at line 127 of file http.h.

## ◆ port

uint16_t ecs_http_server_desc_t::port

HTTP port.

Definition at line 126 of file http.h.

## ◆ send_queue_wait_ms

int32_t ecs_http_server_desc_t::send_queue_wait_ms

Send queue wait time when empty.

Definition at line 128 of file http.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/http.h